client.agents.release_gate
client.agents.release_gate — the agents.releaseGate operations.
On AsyncKindgi every method is the same, awaited.
client.agents.release_gate.resolve()
Section titled “client.agents.release_gate.resolve()”resolve( agent_id: str | UUID, /, *, scope_kind: Literal['tenant', 'org', 'project', 'segment'] | None = None, scope_id: str | UUID | None = None, segments: Sequence[ScopeSegment | Mapping[str, str]] | None = None, timeout: float | None = None,) -> ReleaseGateResolutionSignature
The release gate for a scope. GET /v1/agents/{agentId}/release-gate
The release gate a pin of the agent for the scope would be checked against: the most specific scope with an active gate (a segment path's longer prefixes first, then its project, the project's org, the workspace), at its latest active version. releaseGate: null when none applies.